
# Changelog

## 1.2.9 | May 22, 2025

- Fixed a compatibility issue with Gravity Flow Workflow Steps on Nested Entries.
- Fixed populating number field using parent merge tag.

## 1.2.8 | May 14, 2025

- Removed redundant check for Gravity Perks in preparation for Spellbook.
- Fixed an issue where scrolling did not work correctly in certain scenarios.

## 1.2.7 | April 2, 2025

- Added [`gpnf_sorted_entries`](http://gravitywiz.com/documentation/gpnf_sorted_entries/) JS filter hook.

## 1.2.6 | March 27, 2025

- Fixed an issue where entries from a parent form with a nested form containing a chained select were not exporting correctly. Previously, all values from the chained select were concatenated with pipes in each column; now, individual select fields will appear in their own columns.

## 1.2.5 | March 19, 2025

- Fixed display issue with RTL languages on mobile view, particularly with the WordPress Twenty Twenty Five theme.
- Fixed an issue where the styles for forms in the Nested Forms modal do not load in preview for Gravity Forms 2.9.3 and beyond.

## 1.2.4 | February 27, 2025

- Added parent entry link to the "Entry" meta box for child entries when viewed in the Entry Details page. The template can be customized with the new [`gpnf_parent_entry_link_template`](https://gravitywiz.com/documentation/gpnf_parent_entry_link_template) filter hook.

## 1.2.3 | February 19, 2025

- Fixed an issue with Nested Form field labels not being correct in bulk entry exports in some situations.
- Fixed issue where pressing enter in the parent form context would open the modal if a child entry was present.

## 1.2.2 | February 12, 2025

- Updated frontend JavaScript to use `GFMergeTag.parseMergeTags` if available as `getMatchGroups` will be removed in Gravity Forms 3.0.
- Fixed an issue where Multi File Upload fields shown/hidden based on conditional logic could throw an error when editing child entries.

## 1.2.1 | January 22, 2025

- Fixed a compatibility issue with Gravity Forms Conversational Forms.
- Fixed an issue with Edit Delete, and Duplicate buttons showing as disabled with form setups hiding/showing Nested Form fields using conditional logic and calculations.

## 1.2 | January 14, 2025

- Removed request data from GPNF’s session cookie to avoid issues where the cookie could become overloaded preventing the page from loading. NOTE: If you have custom code that relies on the request data in the session cookie, [learn how to resolve this dependency](https://gravitywiz.com/documentation/gravity-forms-nested-forms/#how-do-i-access-the-parent-form-context-when-the-child-form-is-loading).

## 1.1.73 | January 7, 2025

- Fixed logic concerning the display of expired child forms in GravityView causing form caching issues and preventing validation errors from showing on fields.
- Removed usage of `String.prototype.gformFormat`.

## 1.1.72 | December 19, 2024

- Added additional compatibility fix for Gravity Forms 2.9.

## 1.1.71 | December 10, 2024

- Improved compatibility with Gravity Forms 2.9's improved initialization logic.

## 1.1.70 | November 27, 2024

- Added check in `GP_Nested_Forms::get_child_entry_ids_from_value()` to prevent errors if a non-string value is passed.

## 1.1.69 | November 18, 2024

- Fixed potential PHP warning if a Nested Form field is added to a form and the child form is not specified in the field settings.

## 1.1.68 | November 5, 2024

- Fixed child form styling if using Gravity Forms 2.9 or newer.
- Added [`gpnf_nested_form_field_value`](https://gravitywiz.com/documentation/gpnf_nested_form_field_value/) PHP filter hook.
- Added [`gpnf_export_exclude_hidden_field_inputs`](https://gravitywiz.com/documentation/gpnf_export_exclude_hidden_field_inputs) PHP filter hook.

## 1.1.67 | October 23, 2024

- Added a check before initializing certain frontend logic to prevent JS errors during initialization if the form is not displayed due to restrictions (e.g. GP Limit Submissions).

## 1.1.66 | October 16, 2024

- Fixed issue where removing files from File Upload fields when editing child entries would not result in the files being deleted.
- Added additional security check  when editing entries.

## 1.1.65 | October 9, 2024

- Added [`gpnf_modal_button_passthrough_classes`](https://gravitywiz.com/documentation/gpnf_modal_button_passthrough_classes) JS filter.
- Fixed an issue where GP Multi-page Navigation's "Next Page with Errors" and "Last Page" buttons lost their CSS classes when displayed in Nested Forms modals.

## 1.1.64 | October 1, 2024

- Fixed PHP 8.2 deprecation notices.

## 1.1.63 | September 11, 2024

- Fixed issue where `focus-trap` could throw errors on some themes. It now has a check to prevent JS errors that prevent the modal from fully initializing.

## 1.1.62 | August 27, 2024

- Fixed issue where parent form ID and parent entry ID metas were not set on child entries when sessions were disabled.

## 1.1.61 | August 14, 2024

- Fixed issue Gravity Flow editable fields not showing Nested Form on Approval Workflow Step.

## 1.1.60 | June 6, 2024

- Added PHP DocBlock for the `gpnf_add_button_max_message` filter hook.
- Fixed issue when targeting a single index with All Fields Template.
- Added support for `format[text]` modifier if using GP Nested Forms with [All Fields Template](https://gravitywiz.com/gravity-forms-all-fields-template/). Example: `{Nested Form:1:index[0],filter[3],format[text]}`

## 1.1.59 | May 15, 2024

- Fixed compatibility issue with Gravity Forms 2.8.9.1.
- Fixed issue where orphaned Nested Entries got loaded, even if session was disabled.

## 1.1.58 | May 9, 2024

- Fixed an issue where parent merge tag is processed when the parent form is not available.

## 1.1.57 | May 1, 2024

- Fixed issue where Pricing Fields in child forms would show "Pricing fields are not editable" when editing child entries in Gravity Flow contexts.

## 1.1.56

- Improved support for populating child entries via Easy Passthrough.

## 1.1.55

- Removed `field_values` from session cookie to avoid hitting max cookie size.

## 1.1.54

- Fixed issue with editing child entries in GravityView when the child form is outside its schedule.

## 1.1.53

- Fixed an issue with Gravity Flow where child entries would not be editable in some situations due to a permissions check.

## 1.1.52

- Fixed security issue.

## 1.1.51

- Added new [`gpnf_view_model`](https://gravitywiz.com/documentation/gpnf_view_model) JavaScript filter hook.
- Fixed issue where Nested Forms would double initialize if using Gravity Forms 2.8.4 or newer.
- Fixed issue where Nested Forms could conflict with the Elementor editor.

## 1.1.50

- Fixed an issue where data from the single file upload field on a child form was not retained when using the Gravity Flow User Input Workflow Step.

## 1.1.49

- Fixed issue with passing child entry IDs to Nested Form fields using a query string.
- Fixed PHP 8.2 deprecation notice.

## 1.1.48

- Fixed conditionally hidden product fields in Nested Form field summaries showing `, Qty: 1`.

## 1.1.47

- Fixed PHP 8.2 deprecation notice.

## 1.1.46

- Added `$input` as a fifth parameter for the `gpnf_export_child_field_header` to support input-sepcific columns.
- Added support for exporting specific inputs.

## 1.1.45

- Fixed issue where the `gpnf_export_parent_entry_data_on_child_entry_rows` filter would not work if the parent form contains a multi-column List field.

## 1.1.44

- Updated theme framework styling to work with Gravity Forms 2.8.
- Updated remaining references to `String.prototype.format()` to use `String.prototype.gformFormat()` as the former is removed in Gravity Forms 2.8.

## 1.1.43

- Fixed an issue where notifications were not sent for child forms that have Dropbox feeds.

## 1.1.42

- Fixed an issue with List field data not exporting if using the `gpnf_export_parent_entry_data_on_child_entry_rows` hook and setting it to `true`.

## 1.1.41

- Fixed issue where child forms could be unstyled if the default theme is set to Orbital and the form is being previewed with the Gravity Forms preview functionality.
- Updated the CSS for Tingle.js to v0.16.0.

## 1.1.40

- Fixed a PHP 8 warning.

## 1.1.39

- Updated the "Nested Form" drop down in the form editor to show if forms are inactive.
- Fixed issue where deleting child entries when using an Easy Passthrough token would not work in some cases.

## 1.1.38

- Fixed potential PHP error upon submission of a child form if a submitted input references a field that does not exist.
- Fixed an issue where calculations using GPNF merge tags such as `{Field:1:total}` could sometimes trigger a JavaScript error.

## 1.1.37

- Updated the class name to disable responsive table styling. It is now `gpnf-disable-responsive-table` rather than `gpnf-disable-table` as the latter did not make sense. 😄

## 1.1.36

- Added ability to disable responsive table styling by adding `gpnf-disable-table` as a class to parent forms.
- Fixed potential PHP warning.

## 1.1.35

- Updated sessions to be page-specific.

## 1.1.34

- Fixed issue where loading a form with an invalid S&C token in the URL would cause an error.

## 1.1.33

- Updated child entry datetime format to match parent entry datetime format when exporting entries.

## 1.1.32

- Fixed issue where the Add/Edit modal would fail to open due to malformed JSON when using Weglot Translate.
- Added new `duplicate_children()` method to `GPNF_Entry`.

## 1.1.31

- Added `gpnf_should_use_simple_details_template` PHP filter hook.
- Fixed issue where child entries could be removed when adding items to a cart using WooCommerce Gravity Forms Product Add-ons 3.5.0 or newer.

## 1.1.30

- Fixed issue where responsive styles were not correctly applied for the Nested Entries Detail Simple template.

## 1.1.29

- Improved styling of Nested Form fields inside parent forms when using the Gravity Forms Theme Framework.
- Updated references to `String.prototype.format()` to use `String.prototype.gformFormat()` as the former will be removed in Gravity Forms 2.8.

## 1.1.28

- Added support for including the Nested Form fields context in AJAX requests.
- Fixed issue where the modal height would sometimes be incorrectly set after opening. This fixes an issue if using GP Limit Date's Inline Datepicker in Nested Forms.

## 1.1.27

- Fixed PHP 8 warnings that could show when importing forms with forward slashes in the form names.

## 1.1.26

- Fixed a PHP notice due to implicit number conversion.
- Added `gpnf_template_args` filter to the `nested-entries-simple-list` template args.

## 1.1.25

- Updated how soon we load `GFFormDisplay` to prevent errors when printing parent forms with no child entries.
- Fixed an issue where using the `index` modifier with All Fields Template would skip empty values which could cause confusing results.
- Fixed issue where forms for individual entries were not passed through the `gpnf_get_nested_form` filter for every entry which could cause choice values instead of choice labels to show in some situations when using the `{all_fields}` merge tag.

## 1.1.24

- Fixed issue where parent form was submitted instead of child form when the parent form's "Submit Button Location" was configured to "End of last row."

## 1.1.23

- Fixed an issue with Save & Continue not working when nested entries were spammed or deleted.

## 1.1.22

- Added bullet-proofing to ensure that child forms always have AJAX enabled.

## 1.1.21

- Fixed issue where the submit button for child forms would not be properly handled if the child form's submit button's location is set to end of the last row.

## 1.1.20

- Updated how we ensure `GFFormDisplay` is loaded when printing entries to also prevent the error when printing with Gravity Flow and other add-ons.
- Fixed issue where "Honeypot validation" enabled for nested child forms could cause the child form submission to fail in certain cases.

## 1.1.19

- Fixed issue where runtime hashcode was not unique to the session.
- Fixed a potential fatal error that can happen when printing parent forms with Nested Form fields using Gravity Forms 2.7 or newer.
- Fixed issue where PHP warnings and/or notices could show if a Nested Form field has a form that does not exist selected as the child form.

## 1.1.18

- Added support for including post payment actions (like delaying feed processing until payment is collected) based on child feeds.

## 1.1.17

- Added `gpnf_should_load_child_entries_from_session` filter to allow disabling loading child entries from the session. This will be used by Advanced Save & Continue to prevent drafts from inheriting child entries from other drafts.

## 1.1.16

- Improved reliability of skipping initialization of Nested Form fields on pages that are hidden in forms with conditional logic.

## 1.1.15

- Added `gp_parse_template_output` filter to allow customizing template s via filter rather than requiring a template file. (#216)

## 1.1.14

- Updated CSS styles for Row Actions on small screen sizes.

## 1.1.13

- Added support for optionally including the Row ID column in post-submission output (i.e. merge tags, templates).

## 1.1.12

- Added new [`gpnf_row_id_value`](https://gravitywiz.com/documentation/gpnf_row_id_value) JavaScript filter hook for manipulating the value used in the Row ID summary column.

## 1.1.11

- Fixed potential PHP error if an array is passed to `GPNF_Parent_Merge_Tag::parse_parent_merge_tag()`.
- Added [`gpnf_should_open_modal`](https://gravitywiz.com/gravity-forms-custom-javascript/) JavaScript filter hook.

## 1.1.10

- Fixed potential PHP error if creating GP Nested Forms sessions programmatically.

## 1.1.9

- Added German translations. Credit: Florian Rinnhofer of sportunion.at
- Fixed issue where the Knockout instance would not be properly re-used on AJAX forms.

## 1.1.8

- Fixed an issue where Nested Forms could conflict with GP Auto List Field.

## 1.1.7

- Fixed issue where, under certain conditions, PHP would throw an error in form preview when no Nested Form Field entries were yet present.

## 1.1.6

- Fixed `{Parent:id}` merge tag not working in places such as notifications.
- Added `$entry` argument to `gpnf_get_nested_form` filter hook to improve compatibility with GP Populate Anything.

## 1.1.5

- Fixed an issue where the session cookie could become oversized on complex multi-page forms and result in a server error.
- Added new [`gpnf_calc_entries`](https://gravitywiz.com/gpnf_calc_entries) and [`gpnf_calc_replacement_value`](https://gravitywiz.com/gpnf_calc_replacement_value) filter hooks.

## 1.1.4

- Fixed issue with :sum and :total merge tag modifiers where they would not calculate very small float values due to them being converted to scientific notation.

## 1.1.3

- Added new [`gpnf_row_id_label`](https://gravitywiz.com/documentation/gpnf_row_id_label) filter hook.

## 1.1.2

- Fixed issue where the "Row ID" field would show in `{all_fields}` and the merge tag output for Nested Forms.

## 1.1.1

- Fixed PHP error that could occur for some forms.

## 1.0.28

- Added the ability to optionally show an AjaxSpinner when deleting nested form entry rows.
- Added new public `GPNestedForms.deleteEntry()` method for calling on the frontend and in snippets.

## 1.0.27

- Improved support for `{Parent}` merge tags referencing the parent entry details such as `{Parent:entry_id}` when set to a field's default value and sent in notifications.

## 1.0.26

- Added `:set` merge tag modifier for calculations which allows you to reutrn a list of values for use Advanced Calculation functions like `min()` and `max()`.

## 1.0.25

- Added support for filtering the Save & Continue token that will be used to populate child entries into a Nested Form field.

## 1.0.24

- Fixed `@media` query for Nested Form table layouts to resolve an inconsistency between `760px` and `768px`.

## 1.0.23

- Improved compatibility with Gravity Flow User Input steps by bringing back compatibility layer.

## 1.0.22

- Fixed potential PHP warning if using Gravity Flow by reverting the addition of a new compatibility layer. It will be re-added soon!

## 1.0.21

- Fixed potential PHP error in Gravity Flow compatibility layer.

## 1.0.20

- Added new [`gpnf_all_entries_nested_entry_markup`](https://gravitywiz.com/documentation/gpnf_all_entries_nested_entry_markup) filter.
- Fixed issue where Save & Continue entries would be un-editable/deletable in some situations.
- Fixed compatibility issues with Gravity Flow user input steps where child entries wouldn't show after editing a child entry, leaving the page, and coming back. Additionally, child entry edit permission handling has been improved.

## 1.0.19

- Fixed potential PHP error that could occur on the Entry Details page if GravityView is activated.

## 1.0.18

- Fixed issue where the count template would always be used if GravityView is activated.

## 1.0.17

- Fixed issue where the Count templates were not being used in GravityView if the view is embedded using a shortcode.
- Fixed potential PHP error introduced in 1.0.15.
- Fixed an issue where the event handler in Nested Forms would not properly handle Chained Selects thus causing the placeholder to be incorrect on subsequent openings of the nested form.

## 1.0.16

- Fixed issue where child form markup was not refreshed after editing which could result in stagnant form markup.

## 1.0.15

- Fixed issue where early child entry adoption via Partial Entries would prevent child entries from being loaded, edited, or deleted in the current session.
- Improved compatibility with GP Page Transitions Soft Validation functionality.

## 1.0.14

- Fixed conflict with eComerce Fields that was caused by Nested Forms unsetting child entry ID to null to ensure a fresh total was generated.

## 1.0.13

- Fixed error that could occur when deleting both parent and child entries in the same request.

## 1.0.12

- Fixed regression where a change in the form container element caused form change events not to fire.

## 1.0.11

- Fixed regression where entries wouldn't be saved in certain circumstances if a Nested Form field is conditionally displayed by a calculated field.

## 1.0.10

- Added [gpnf_export_parent_entry_row](https://gravitywiz.com/documentation/gpnf_export_parent_entry_row/) filter to allow disabling the output of parent entry rows alongside their child entry rows.
- Added [gpnf_export_parent_entry_data_on_child_entry_rows](https://gravitywiz.com/documentation/gpnf_export_parent_entry_data_on_child_entry_rows/) to allow exporting parent entry data on child entry rows.

## 1.0.9

- Fixed inconsistent behavior of :total, :sum, and :count modifiers between the frontend and the backend if the Nested Form field is hidden. The correct behavior is to return `0` if the Nested Form field is hidden.

## 1.0.8

- Added new `.destroy()` method to `window.GPNestedForms` to allow for more integrations.
- Fixed issue where the {Parent} merge tag wouldn't work with wpDataTables.
- Added new [`gpnf_submitted_entry_ids`](https://gravitywiz.com/documentation/gpnf_submitted_entry_ids) filter.
- Improved compatibility with Gravity Flow Discussion fields when editing child entries.
- Improved how Nested Forms populates File Upload fields when editing child entries to improve compatibility with File Upload Pro's sorting and cropping functionality.

## 1.0.7

- Improved Nested Form exporting by running field values through `gform_export_field_value`.

## 1.0.6

- Added support for populating Paragraph fields with the Rich Text Editor enabled using `{Parent}` merge tags.
- Improved compatibility with Gravity Flow User Input Step. The min/max number of child entries is now validated.
- Improved compatibility with GP Read Only when using `{Parent}` merge tags.

## 1.0.5

- Fixed issues where Product fields' display values did not correctly account for their quantity.
- Improved experience for child forms where a datepicker is the first field. It no longer opens the datepicker when the child form is displayed. Instead, it focuses the field but does not immediately show the datepicker. This maintains accessibility while improving overall user experience.

## 1.0.4

- Fixed regression with multiple datepickers not behaving correctly in Nested Forms if focus trap is enabled.

## 1.0.3

- Fixed regression where datepicker selects could not be interacted with in Firefox due to Focus Trap.

## 1.0.2

- Fixed PHP notice on parent form submission.
- Added "Update URI" to plugin header to improve security.

## 1.0.1

- Fixed issue where unnecessary whitespace could cause formatting issues when displaying the Add Entry button.

## 1.0

- Added new icon for the Nested Form field type.
- Improved the Nested Form field styling in the editor.
- Fixed a notice when GPNF cookie exists but "request" property has not been set.
- Fixed issue where {Parent} merge tags would not be replaced in a child form if a validation error occurred in the child form and the value that the parent merge tag was pulling was empty.

## 1.0-rc-1.10

- Added [gpnf_should_delete](https://gravitywiz.com/documentation/gpnf_should_delete) JavaScript filter.

## 1.0-rc-1.9

- Fixed the "Delete" button in the child entry edit modal. It wasn't doing anything when clicked. Now it is!
- Fixed styling issue where the "There are no entries." text was right-aligned rather than center-aligned on mobile.

## 1.0-rc-1.8

- Fixed an issue where entries that have been attached to a parent via filter still expire and are cleaned up by the CRON.

## 1.0-rc-1.7

- Added support for editing child entries populated via an Easy Passthrough token.

## 1.0-rc-1.6

- Fixed issue where values of fields hidden via conditional logic were not deleted after editing a child entry.
- Updated Knockout to be a separate JavaScript file like it was prior to 1.0-rc-1 so it's immediately accessible to custom GPNF templates.
- Updated scripts on the frontend to export Knockout to `window.ko`.

## 1.0-rc-1.5

- Added [gpnf_child_entries_separator](https://gravitywiz.com/documentation/gpnf_child_entries_separator/) filter to allow modifying the separator between child entries in the All Entries view.

## 1.0-rc-1.4

- Added support for attaching child entries to a parent entry via the GF REST API's /`forms/[FORM_ID]/submissions` endpoint.

## 1.0-rc-1.3

- Fixed potential JavaScript errors when submitting/editing entries for some use-cases.
- Added `enableFocusTrap` to [`gpnf_init_script_args`](https://gravitywiz.com/documentation/gpnf_init_script_args).

## 1.0-rc-1.2

- Fixed issue where jQuery UI modal was not updated to work with our new build flow.

## 1.0-rc-1.1

- Fixed issue where datepicker widget was not focusable due to focus being trapped in the Nested Form modal.
- Fixed issue where 3rd-party usage of GPNestedForms.loadEntry() would result in an error if the modal had not yet been activated.

## 1.0-rc-1.0

- Fixed conflict where GPFUP's editor actions (cancel/crop) were not interactable when opened from a Nested Form modal due to GPNF's new focus trap.
- Improved loading experience for Nested Forms by preventing the max entries message and row actions from showing on initial load.
- Added support for screen readers on child entry edit actions.
- Added `gpnf_enable_duplication` filter to enable "Duplicate" action for child entries.
- Added `gpnf_duplicate_entry` filter to allow modifying the entry that will be duplicated.
- Updated Nested Entries template to display "Duplicate" action when enabled via filter.
- Improved default styles for Nested Form fields.
- Improved screen reader support for modal interactions.
- Fixed issue where button submit animation was not triggered when submit was triggered by "Enter" keypress.
- Improved accessibility of keyboard navigation. Tabbing is now restricted to focusable elements in the Nested Form modal when opened.
- Added [gpnf_populated_entry](https://gravitywiz.com/documentation/gpnf_populated_entry/) filter to allow filtering the entry that is about to be populated into the child form for editing.
- Fixed issue where calculations of multiple parent forms on the same page could conflict causing modifiers such as :total to not work as expected.

## 1.0-beta-10.10

- Fixed issue where {Parent} merge tags would not be parsed if used in fields conditionally shown by a Section Field.

## 1.0-beta-10.9

- Added a CSS class to the Nested Entries Detail Simple template to support targeting specific tables when multiple tables are displayed.
- Updated `gpnf_init_nested_forms` filter to pass the current instance of GPNestedForms as the second parameter.

## 1.0-beta-10.8

- Fixed issue where Summary Fields setting did not always initialize correctly.

## 1.0-beta-10.7

- Fixed an issue where Drop Downs were not correctly repopulated after being revealed by conditional logic if their default value included a `{Parent}` merge tag.

## 1.0-beta-10.6

- Added a link in the Nested Form field setting to allow you to open the child form in the form editor in a new tab.

## 1.0-beta-10.5

- Fixed a potential issue where the `{parent}` merge tag may remain visible when editing entries while the source field is empty.

## 1.0-beta-10.4

- Improved support for checkboxes pulled into child forms using the {Parent} merge tag. When more than one checkbox is selected, the values/labels will be comma delimited.
- Added `:label` modifier to `{parent}` GPNF merge tags.

## 1.0-beta-10.3

- Updated `gpnf_modal_button_css_classes` to use `cancel-mobile` for the `type` parameter when filtering the mobile cancel button.

## 1.0-beta-10.2

- Added `GP_Nested_Forms->get_query_arg()` to enable additional customization/parsing of URL parameters in a nested form.
- Fixed a potential future incompatibility issue with GF API.

## 1.0-beta-10.1

- Added [gpnf_modal_button_css_classes](https://gravitywiz.com/documentation/gpnf_modal_button_css_classes) JavaScript filter.
- Added [gpnf_should_trash_entries_on_delete](https://gravitywiz.com/documentation/gpnf_should_trash_entries_on_delete) filter.
- Fixed issue where child entry notifications would not be sent when using a Nested Form field with the WooCommerce GF Product Add-ons extension.

## 1.0-beta-10

- Improved user experience of how Summary Fields are managed. They're now listed out vertically and sortable.
- Added French translation. Thank you, [Cyrille Sanson](https://100son.net)!
- Fixed typo in :sum modifier merge tag default value.

## 1.0-beta-9.35

- Added i18n support for GPNF's "Close" modal button.

## 1.0-beta-9.34

- Updated custom template names to have precedence before all standard template names.
- Updated docblock with variables in `nested-entries-all.php`.
- Added new `GP_Nested_Forms::get_template_names()` method and updated instances where we specified template names manually to use this new helper method.

## 1.0-beta-9.33

- Added support for using :value (or ,value if using All Fields Template) Merge Tag modifier for Nested Form fields.

## 1.0-beta-9.32

- Added support for disabling delete confirmation by passing empty confirmAction label.
- Updated `gpnf_disable_new_cancel_confirmation` filter's default value to true if a non-false value is passed for the confirmAction label.
- Fixed a potential issue where a child form that requires login did not display the proper login required message.
- Fixed issue where number formats could be lost when editing a Nested Entry with conditional logic.

## 1.0-beta-9.31

- Fixed an issue where {Parent} merge tags were not processed correctly in nested form's notification.

## 1.0-beta-9.30

- Fixed issue where init scripts for Nested Forms could be loaded twice and cause inconsistent behavior such as doubled up loading indicators.

## 1.0-beta-9.29

- Fixed an issue where AJAX rendered forms may display a JS error when using List fields.

## 1.0-beta-9.28

- Added [gpnf_replace_parent_merge_tag_on_edit](https://gravitywiz.com/documentation/gpnf_replace_parent_merge_tag_on_edit-js) filter to re-populate parent merge tags when editing an entry.
- Added new [gpnf_fetch_form_html_after_add](https://gravitywiz.com/documentation/gpnf_fetch_form_html_after_add/) and [gpnf_fetch_form_html_after_delete](https://gravitywiz.com/documentation/gpnf_fetch_form_html_after_delete/) JavaScript filters
- Fixed an issue where an imported parent form without its child may generate a PHP notice.
- Fixed PHP notice in Gravity Forms Coupons Add-On settings page.

## 1.0-beta-9.27

- Fixed an issue where {Parent} merge tags didn't work with Drop Down fields.
- Fixed issue where parent form ID was not correctly set as a template name variant for the 'nested-entries-detail' template.
- Fixed issue where Rich Text Editor test searched for Windows-specific keyboard shortcut in button label.

## 1.0-beta-9.26

- Added support for filtering the modal's submit button label.

## 1.0-beta-9.25

- Fixed issue where submitting a child entry with a pending upload would result in the submit button getting stuck as a spinner.

## 1.0-beta-9.24

- Added [gpnf_disable_new_cancel_confirmation](http://gravitywiz.com/documentation/gpnf_disable_new_cancel_confirmation-js) filter.

## 1.0-beta-9.23

- Fixed issue where GPNF's cookie could be reset under certain network conditions and if there are more than one Nested Forms on a parent form.
- Fixed a potential issue that may cause GPNF to fail to render.

## 1.0-beta-9.22

- Fixed issue where init scripts were not executed with older versions of jQuery.
- Fixed an issue where modified parent merge tag values would be reset on entry edit.

## 1.0-beta-9.21

- Fixed a potential issue where In-line Calendars may duplicate on submission error.

## 1.0-beta-9.20

- Updated Gravity Perks minimum required version to 2.2.3.
- Updated field settings markup, styles and functionality to work with Gravity Forms 2.5.
- Fixed issue where Nested Forms would not load if using Conditional Logic and the gform_init_scripts_footer filter.

## 1.0-beta-9.19

- Fixed an issue displaying list fields in GPNF entries. (#82)
- Improved compatibility with Gravity Forms Multilingual by WPML.
- Improved compatibility with Paragraph fields using the Rich Text Editor (TinyMCE).

## 1.0-beta-9.18

- Fixed an issue where parent merge tags replace submitted values on error.

## 1.0-beta-9.17

- Improved compatibility with GravityView by filtering out child entries of unsubmitted parent forms.
- Added security enhancements. (#77)
- Added latest version of Knockout.js library
- Fixed issue with Save & Continue not working in some cases on multi-page forms.
- Fixed issue where child entries could show as duplicated on the client-side when submitting an AJAX parent form.
- Fixed a potential issue where Expanded Entries link may be displayed in GV.

## 1.0-beta-9.16

- Fixed a potential issue when using index[0] as a modifier with the All Fields Template snippet.

## 1.0-beta-9.15

- Removed the force display code that overrides GF's default conditional logic behavior. (#63)

## 1.0-beta-9.14

- Fixed issue where scripts were initialized for each instance of a child form if the same child form was included by multiple Nested Form fields. (#68)

## 1.0-beta-9.13

- Added support for processing values formatted as currency via the :sum modifier. (#67)

## 1.0-beta-9.12

- Fixed a potential issue with iniFormScripts and currentPage number.

## 1.0-beta-9.11

- Fixed a potential issue where fields with a parent merge tag may reset.

## 1.0-beta-9.10

- Removed jQuery ready wrapper from GPNestedForms init. (#61)
- Fixed issue where parent form calculations briefly flashed the raw Nested Forms field value on submission.

## 1.0-beta-9.9

- Added `[gpnf_set_parent_entry_id](https://gravitywiz.com/documentation/gpnf_set_parent_entry_id/)` filter.

## 1.0-beta-9.8

- Fixed a variety of issues related to init scripts - and - added support for editing Signature fields. (#55)

## 1.0-beta-9.7

- Improved reliability of Nested Form fields when placed on non-first pages in AJAX-enabled, multi-page forms.

## 1.0-beta-9.6

- Fixed an integration issue with Gravity Forms Date Dropper Field plugin.

## 1.0-beta-9.5

- Fixed an issue where Chained Selects fields may not export properly.

## 1.0-beta-9.4

- Fixed regression where interactive elements of child forms such as Enhanced UI for Select fields or Live Merge Tags from Populate Anything would not work correctly.
- Fixed issue where Nested Forms calculations would not work properly in some cases on multi-page forms.

## 1.0-beta-9.3

- Removed session child entries upon utilizing GF Save and Continue feature.
- Fixed PHP notice on frontend if no fields are selected in the Summary Fields setting.

## 1.0-beta-9.2

- Fixed issue where filtering Nested Form field merge tag to single value failed unexpectedly.

## 1.0-beta-9.1

- Fixed issue where Conditional Logic would cause the Add Entry button to become re-enabled if it was disabled.
- Added additional formId, fieldId, and gpnf params to [gpnf_fetch_form_html_on_load](https://gravitywiz.com/documentation/gpnf_fetch_form_html_on_load) JS filter.

## 1.0-beta-9

- Improved performance by not loading Nested Form markup on form load and also not initiating Nested Forms unless visible on the current page.

## 1.0-beta-8.81

- Fixed an issue where enhanced UI fields may fail to populate using parent merge tags.

## 1.0-beta-8.80

- Fixed potential PHP warning.
- Added [`gpnf_should_use_static_value`](https://gravitywiz.com/documentation/gpnf_should_use_static_value/) filter to allow toggling the use of static values in Nested Form fields.

## 1.0-beta-8.79

- Fixed issue where trashed parent entries did not correctly show their child entries and when restored from trash failed to restore their child entries.

## 1.0-beta-8.78

- Fixed a WooCommerce integration issue where child form feeds were not processed on checkout.
- Fixed an issue where GPNF displayed old deprecated arguments for modal titles.

## 1.0-beta-8.77

- Fixed issue where datepickers were not destroyed when initializing the child form modal.

## 1.1

- Fixed issue where new method for retrieving Nested Form field value dynamically incorrectly returned all child entries for a parent entry rather than only the child entries for the current Nested Form field.

## 1.0

- Added support for auto-resizing modal when window is resized.
- Added responsive styling for Nested Form field.
- Updated acceptance tests to work with tingle.  Added export entries test.
- Updated font size of modal header.
- Fixed notice generated by undeclared $entry_ids variable in entry limit validation.
- Fixed issue where modal content was hidden incorrectly when two of the same child form existed on the page.
- Fixed UX issue where modal buttons were re-initialized on the modal confirmation page, creating a flicker on the submit button as the spinner was replaced with the submit button text.

## 1.0-beta-8.76

- Added support for providing a negative index to the :index modifier to allow selecting backwards from the last submitted child entry.

## 1.0-beta-8.75

- Fixed issue where child form failed to submit when WCGFPA applied styles to force hide all submit buttons.

## 1.0-beta-8.74

- Added support for an :index modifier to allow targeting a specific ch… (#38)
- Fixed an issue where the "html" format was forced on the simple list template.
- Fixed an issue where a misconfigured nested form may generate PHP warnings in other perks.
- Fixed an issue in IE11 where GPNF would scroll to the top after editing an entry.
- Fixed issue where requested spinner graphic did not exist in Gravity Forms 2.5.

## 1.0-beta-8.73

- Fixed an issue in IE11 where GPNF would scroll to the top after editing an entry.

## 1.0-beta-8.72

- Fixed issue where duplicating a child entry created two duplicates instead of the expected one.

## 1.0-beta-8.71

- Added [gpnf_post_duplicate_entry](https://gravitywiz.com/documentation/gpnf_post_duplicate_entry/) filter to allow doing something after a child entry has been duplicated on the frontend.

## 1.0-beta-8.70

- Fixed a compatibility issue with Gravity Flow and Date fields.

## 1.0-beta-8.69

- Fixed an integration issue where WooCommerce Gravity Forms Plugin would hide the submit button.

## 1.0-beta-8.68

- Added [`gpnf_cookie_name`](https://gravitywiz.com/documentation/gpnf_cookie_name/) filter.
- Added support for Gravity Forms 2.5. (#30)

## 1.0-beta-8.67

- Added support for populating values passed from the parent form's `field_values` shortcode parameter.
- Fixed issue where child form inline styles that shared a parent form handle were enqueued too late and never output.

## 1.0-beta-8.66

- Added responsive support when displaying the Nested Entries Detail template on the frontend.
- Added inline docs for "gpnf_entry_limit_min" and "gpnf_entry_limit_max" filters.
- Added translator comments for several strings.

## 1.0-beta-8.65

- Fixed an issue where parent merge tags in child notifications may not be parsed correctly.

## 1.0-beta-8.64

- Fixed an issue where submit button would flash briefly on nested form modal before saving the entry.

## 1.0-beta-8.63

- Added a more verbose notice when nested form and fields are not set.

## 1.0-beta-8.62

- Added [gpnf_session_initialized](https://gravitywiz.com/documentation/gpnf_session_initialized/) action to support doing something after the Nested Forms session has been initialized.

## 1.0-beta-8.61

- Added header text for actions column to improve accessibility (Thanks OIT Design & Web Services NCSU).

## 1.0-beta-8.60

- Added support for duplicating child entries in a Nested Form field. Currently requires manually adding the action link template.

## 1.0-beta-8.59

- Added support for filtering child entries by the Parent Entry ID in the Entries list view in addition to filtering by the Parent Entry ID in the Gravity Flow Form Connector plugin.

## 1.0-beta-8.58

- Fixed an issue where GPNF won't recognize HTML button elements. (#21)

## 1.0-beta-8.57

- Added `gpnf_submitted_nested_entries` hook. (#20)

## 1.0-beta-8.56

- Improved compatibility with Gravity PDF Previewer when using legacy jQuery UI modal.

## 1.0-beta-8.55

- Improved compatibility with Gravity PDF Previewer.

## 1.0-beta-8.54

- Fixed issue where Nested Forms would show a blank row in the {all_fields} merge tag if no entries are provided.

## 1.0-beta-8.53

- Fixed submit button on modal when nested form is configured to use an image. (#19)

## 1.0-beta-8.52

- Fixed issue where child entries would not be attached to the proper entry when used in conjunction with the WooCommerce Gravity Forms Product Add-ons plugin.

## 1.0-beta-8.51

- Fixed issue where GP Nested Forms would cause the form buttons to change when using multiple forms on a given page in conjunction with GravityView.
- Fixed issue where scrollbar did not work correctly when the modal was open by updating Tingle to v0.15.3.
- Reverted stop-gap fix for {Parent} merge tag compatibility with Populate Anything. Fixed in Populate Anything 1.0-beta-4.54.

## 1.0-beta-8.50

- Fixed issue where {Parent} merge tag replacement did not trigger Populate Anything population in legacy jQuery UI modal as well.

## 1.0-beta-8.49

- Fixed issue where {Parent} merge tag replacement did not trigger Populate Anything population.

## 1.0-beta-8.48

- Fixed issue where {Parent} merge tag that targeted non-existent parent form field would return "undefined" rather than an empty string. This change allows a child form to be used on different parent forms.
- Fixed issue where displayOnly fields (e.g. HTML, Section) were available in form exports.

## 1.0-beta-8.47

- Improved {Parent} merge tag. (#18)
- Added support for including custom content alongside {Parent} merge tags (e.g. "Name: {Parent:3}").
- Added support for multiple parent merge tags (e.g. "{Parent:3.3} {Parent:3.6}").
- Updated Nested Form field input markup to no longer apply the gform_pre_render filter if the child form is not set, does not exist, or if the Nested Form field is being rendered on the form editor view.

## 1.0-beta-8.46

- Fixed noticed caused by check for $_GET property that may not be present.

## 1.0-beta-8.45

- Fixed issue where GPPA disabled submit button but modal buttons were still clickable resulting in a child form that would fail to submit.

## 1.0-beta-8.44

- Added [gpnf_child_entry_max](https://gravitywiz.com/documentation/gpnf_child_entry_max/) to allow accepting more (or less) entries in a Nested Form field.
- Fixed fatal error introduced in 1.0-beta-8.43.

## 1.0-beta-8.43

- Updated the method used to get the current GravityView entry being edited. (#16)

## 1.0-beta-8.42

- Fixed issue where orphaned child entries were not expired on the expected schedule due to double buffering of the entry expiration modifier.

## 1.0-beta-8.41

- Added accessibility enhancements with an emphasis on navigability.

## 1.0-beta-8.40

- Added support for re-populating child entries when editing a parent form via WC GF Product Add-on's Enable Card Edit option.

## 1.0-beta-8.39

- Fixed issue where Next/Previous buttons in child form were not correctly classed.

## 1.0-beta-8.38

- Fixed issue where {Parent} merge tags were not correctly replaced after hiding/showing a field via conditional logic.

## 1.0-beta-8.37

- Fixed regression in 1.0-beta-8.35 which caused Nested Form fields on forms without a Datepicker to fail to initialize.
- Fixed issue introduced in GravityView 2.6 which prevented child entries from loading when editing an entry.

## 1.0-beta-8.36

- Fixed issue where trashed child entries still appeared in the Nested Form field.

## 1.0-beta-8.35

- Fixed issue where datepickers were not properly initialized in child forms when editing an entry on the frontend via Gravity Flow.

## 1.0-beta-8.34

- Updated responsive styles to apply to portrait mode on most tablets.

## 1.0-beta-8.33

- Fixed issue where `:value` modifier was ignored when filtering a single item in a Nested Form field (e.g. {Parent:1:filter[2],value}).

## 1.0-beta-8.32

- Fixed issue where child entries added via a Gravity Flow User Input step did not save correctly to the parent entry.

## 1.0-beta-8.31

- Updated responsive styles to apply for all touch-based devices.
- Removed unused GP Nested Forms Template setting in GravityView widget options.

## 1.0-beta-8.30

- Fixed issue where child entries were capped at 20; new cap is 99.

## 1.0-beta-8.29

- Added support for using admin label in child entry export fields and headers.

## 1.0-beta-8.28

- Fixed conflict with Elementor where Nested Form fields did not initialize properly.

## 1.0-beta-8.27

- Fixed notice generated when session cookie's "nested_entries" property was not set.

## 1.0-beta-8.26

- Fixed issue where order of child entries in backend did not match the order of child entries submitted on the frontend.

## 1.0-beta-8.25

- Updated 'gpnf_init_nested_form' to be a Gravity Forms JavaScript Hook rather than a jQuery event.

## 1.0-beta-8.24

- Added 'gpnf_init_nested_form' jQuery event to improve compatibility with GP Populate Anything's Live Merge tags when used in a Nested Form.

## 1.0-beta-8.23

- Added support for processing child feeds after a delayed payment from PayPal Standard.

## 1.0-beta-8.22

- Added support for processing child feeds on delayed payments.

## 1.0-beta-8.21

- Fixed issue where the sticky footer in the modal did not stay at the bottom in Chrome.

## 1.0-beta-8.20

- Fixed notice generated when refreshing nested form markup.

## 1.0-beta-8.19

- Fixed issue where Entry Limit was not honored when displaying a child form.

## 1.0-beta-8.18

- Improved performance of dynamic Nested Form field value retrieval.
- Updated the PartialEntries acceptance test.

## 1.0-beta-8.17

- Updated how Nested Form field values are handled; fixes issue where fetching a parent entry via `GFAPI::get_entry()` failed to populate the correct value for Nested Form fields.

## 1.0-beta-8.16

- Fixed issue where max entry limit message was not translatable.

## 1.0-beta-8.15

- Updated `GP_Nested_Forms::get_fields_by_ids()` method to return the fields in order of the field IDs passed.

## 1.0-beta-8.14

- Added support for Partial Entries add-on.

## 1.0-beta-8.13

- Fixed issue where GF Encrypted Fields was removing child entry meta resulting in child entries that were not property connected with their parent.

## 1.0-beta-8.12

- Fixed issue where using global namespace removed events from previously initialized instances of Nested Forms.

## 1.0-beta-8.11

- Fixed various issues with AJAX-enabled forms. (#14)

## 1.0-beta-8.10

- Fixed issue where Post Category fields would not be re-populated with the correct value when editing a child entry.

## 1.0-beta-8.9

- Fixed issue where the GPNF session cookie wouldn't be properly reset after editing a form with Nested Form fields in a GravityView.
- Fixed issue where child entries added when editing an entry with a GravityView view would not be assigned to the parent form.

## 1.0-beta-8.8

- Fixed issue where {Parent} merge tag wouldn't work on certain multi-page forms.

## 1.0-beta-8.7

- Fixed issue where some strings displayed in the child form modal were not localized.

## 1.0-beta-8.6

- Fixed issue where AJAX-enabled parent forms caused modal to fail to close after submitting a child form.
- Fixed issue where {Parent} merge tag wouldn't work in some cases.

## 1.0-beta-8.5

- Fixed potential recursion with handle_nested_forms_markup filter.

## 1.0-beta-8.4

- Fixed issue where deleting a child entry from from the modal's delete button failed to delete the child entry.

## 1.0-beta-8.3

- Added support for auto-resizing modal when window is resized.
- Added responsive styling for Nested Form field.
- Updated Nested Forms field value method to ignore entries with alphanumeric IDs.
- Updated acceptance tests to work with tingle.  Added export entries test.
- Updated font size of modal header.
    - Fixed issue where new method for retrieving Nested Form field value dynamically incorrectly returned all child entries for a parent entry rather than only the child entries for the current Nested Form field.
- Fixed notice generated by undeclared $entry_ids variable in entry limit validation.
- Fixed issue where modal content was hidden incorrectly when two of the same child form existed on the page.
- Fixed UX issue where modal buttons were re-initialized on the modal confirmation page, creating a flicker on the submit button as the spinner was replaced with the submit button text.

## 1.0-beta-8.2

- Fixed regression with {Parent} merge tag when using the new responsive UI.

## 1.0-beta-8.1

- Fixed issue where new method for retrieving Nested Form field value dynamically incorrectly returned all child entries for a parent entry rather than only the child entries for the current Nested Form field.

## 1.0-beta-8

- Added full integration with GravityView.
- Added support for exporting child entries alongside their parent entry.
- Added resopnsive styling and implemented a new modal experience.
- Added 'gpnf_entry_limit_min' and 'gpnf_entry_limit_max' WordPress filters.
- Added merge tag modifiers to merge tag selector for calculation-enabled fields.
- Added message when max entry limit is reached.
- Added security enhancement.
- Added is_gravityview() helper method.
- Added support for admins and users with the 'gravityforms_edit_entries' capability to edit nested entries on the front end created by other users
- Added nested-entries-count.php template. This is a new template that can be used to display the count of child entries in a parent entries.
- Added support for changing modal spinner via Gravity Forms' "gform_ajax_spinner_url" filter.
- Added [gpnf_disable_export_fields](https://gravitywiz.com/documentation/gpnf_disable_export_fields/) filter to allow disabling the addition of child form fields to the parent form export settings.
- Updated Nested Form field value handling.
- Updated GravityView integration to use the count template for views and the simple template on single entry pages.
- Fixed issue where query parameters were not populated correctly when editing child entries.
- Fixed issue where Delete and Cancel buttons would show in Nested Forms on GravityView edit views.
- Fixed conflict with Preview Confirmation where psuedo-entry without a proper entry ID would return child entries that did not belong to the psuedo-entry.
- Fixed issue where extra lines were being added to parent export when no child fields were selected.
- Removed feed processing setting to alleviate confusion.

## 1.0-beta-7.28

- Fixed issue where extra lines were being added to parent export when no child fields were selected.

## 1.0-beta-7.27

- Fixed conflict with Preview Confirmation where psuedo-entry without a proper entry ID would return child entries that did not belong to the psuedo-entry.

## 1.0-beta-7.26

- Added [gpnf_disable_export_fields](https://gravitywiz.com/documentation/gpnf_disable_export_fields/) filter to allow disabling the addition of child form fields to the parent form export settings.

## 1.0-beta-7.25

- Added support for changing modal spinner via Gravity Forms' "gform_ajax_spinner_url" filter.
- Improved Nested Form Field value handling.

## 1.0-beta-7.24

- Added security enhancement.
- Added `is_gravityview()` helper method.
- Updated GravityView integration to use the count template for views and the simple template on single entry pages.
- Added nested-entries-count.php template. This is a new template that can be used to display the count of child entries in a parent entries.
- Fixed issue where Delete and Cancel buttons would show in Nested Forms on GravityView edit views.
- Added support for admins and users with the 'gravityforms_edit_entries' capability to edit nested entries on the front end created by other users

## 1.0-beta-7.23

- Fixed issue where query parameters were not populated correctly when editing child entries.
- Added 'gpnf_entry_limit_max' JS filter.
- Added 'gpnf_entry_limit_min' and 'gpnf_entry_limit_max' WordPress filters.

## 1.0-beta-7.22

- Added support for exporting child entries alongside their parent entry. (#11)
- Added "gpnf_enable_feed_processing_setting" to re-enable.
- Added support for exporting child entries along side their parent entry.

## 1.0-beta-7.21

- Fixed issue when rendering child entries which contained sections with conditional logic.
- Fixed issue where maximum entries met message would be shown in the form editor at all times.
- Updated session script to be part of the GPNestedForms class.
- Added message beside submit button if maximum number of entries is met.
- Added count, total, and sum merge tags to merge tag selectors including the merge tag dropdown for calculations.
- Added support for Nested Forms on GravityView edit pages.
- Added count, total, and sum merge tags to merge tag selectors including the merge tag dropdown for calculations.
- Added support for Nested Forms on GravityView edit pages.
- Fixed issue where deleting parent entries would not result in the child entries being deleted.

## 1.0-beta-7.20

- Updated {Parent} merge tag to be replaced with an empty string when loading a form outside of a Nested Form field.

## 1.0-beta-7.19

- Added "gpnf_can_user_edit_entry" filter to better support overriding entry permissions when viewing, editing, and deleting entries in Nested Forms fields.

## 1.0-beta-7.18

- Added support for using Nested Forms in WordPress admin.

## 1.0-beta-7.17

- Fixed error generated when {Parent} merge tag was called in a context where parent entry was expected but did not exist (i.e. child form notifications).

## 1.0-beta-7.16

- Fixed issue where child entry created_by property did not match that of its parent when a non-logged-in user registered via the parent form.

## 1.0-beta-7.15

- Fixed issue with ACF where Limit Submission's version of select2 was loaded instead of its own.
- Fixed notices generated when Nested Form field does not have a nested form selected.

## 1.0-beta-7.14

- Added "gpnf_parent_merge_tag_value" filter to allow modify the value of the parent merge tag before it is replaced.

## 1.0-beta-7.13

- Fixed issue where product cache was not refreshed correctly.

## 1.0-beta-7.12

- Fixed issue where incorrect child from was refreshed after adding, editing or deleting an entry when multiple Nested Form fields existed on a parent form.

## 1.0-beta-7.11

- Added two new filters: ‘gpnf_process_feeds_nested_entries’ and ‘gpnf_process_feeds_nested_form’
- Added gp_nested_forms()->get_nested_form() helper method
- Fixed issue where the raw value of some fields including fields with dynamic choices from GP Populate Anything would be used instead of the choice text/label.

## 1.0-beta-7.10

- Fixed fatal error generated by trashing a parent entry after child entry has been permanently deleted.
- Fixed issue where <hr> in All Fields markup were incorrectly visible in some mail clients.

## 1.0-beta-7.9

- Fixed issue where close button was not styled property in Safari on mobile devices.

## 1.0-beta-7.8

- Fixed issue where values of GPPA-populated choice-based fields were not correctly displayed in the Nested Form field on the entry detail view.

## 1.0-beta-7.7

- Fixed issue where {Parent} merge tag did not correctly populate from Radio Button fields.
- Updated plugin author.

## 1.0-beta-7.6

- Added support for scrolling back to original page position after closing modal; impacts long child forms, particularly on mobile.
- Added support for formatting {all_fields} value for text. Requires Gravity Forms 2.4.8.12 or greater.

## 1.0-beta-7.5

- Updated how markup for Nested Form field merge tags (individually and in {all_fields}) is generated.
- Added "nested-entries-all" template to allow overriding the the markup generated for Nested Form field merge tags (individually and in {all_fields}).
- Updated Display Fields setting name to "Summary Fields" and improved description to alleviate customer confusion on its purpose.

## 1.0-beta-7.4

- Updated check for WooCommerce to be more comprehensive.

## 1.0-beta-7.3

- Updated Nested Forms markup to *always* be output in the footer; resolves an on-going issue with the WC GF Product Add-ons plugin.
- Added a simplified Nested Entries Detail template; will be automatically used when a Nested Form field is displayed in a WooCommerce cart or on Gravity Forms' Print Entry view.

## 1.0-beta-7.2

- Fixed JS error generated when Beaver Builder triggers document ready event without having reloaded the UI.

## 1.0-beta-7.1

- Added support for handling change in Gravity Forms 2.4.7 which adds support for wrapping GF's inline scripts in DOMContentLoaded listener.
- Updated minimum Gravity Forms version to 2.4.
- Updated logging for cron events to be more helpful.
- Fixed issue where modal was not visible when other elements on page had a higher z-index.
- Fixed issue where datepicker inside modal was displayed behind modal due to z-index conflict.

## 1.0-beta-7

- Added "gpnf_session_script_data" filter to allow modifying the data used to initialize the session script.
- Added support for automatically populating fields from session cookie when refreshing the form markup.
- Added logging around daily cron that cleans up orphaned entries.
- Added basic responsive fix to prevent Nested Entries table from spilling outside container on mobile.
- Added support for gpnf_bypass_entry_permissions filter to allow advanced users to determine if entry permissions should be bypassed when populating entries into a Nested Form field.
- Updated child form feeds to be processed *after* parent form feeds when configured to be processed when the parent form is submitted.
- Updated Nested Entries Detail template to no longer output "View Entry" or "View Expanded List" when in print view.
- Updated parent entry processing to run child form through gform_pre_process filter to improve compatibility with 3rd party add-ons.
- Updated "gpnf_append_nested_forms_to_footer" to default to true if "gform_init_scripts_footer" is set to true.
- Updated priority of GP_Nested_Forms::output_nested_forms_markup() to 21 to ensure it is output after jQuery.
- Updated session cookie with COOKIEPATH, COOKIE_DOMAIN, and secure flag.
- Updated cookies to use COOKIE_DOMAIN constant for consistency with WordPress.
- Updated gpnf_template_args docblock with addition of the "actions" property and removal of the "related_entries_link" property.
- Fixed issue where close button does not appear when Bootstrap is loaded *after* jQuery UI.
- Fixed notice when form mapped in Nested Form field no longer exists.
- Fixed issue where child entries were not editable and failed to persist when navigating between pages after being populated via Save & Continue.
- Fixed use of deprecated GFFormsModel::get_incomplete_submission_values() method.
- Fixed issue where Print Entry view displayed "&nbsp".
- Fixed issue where perk name was not output on Logging page.
- Fixed issue where {Parent} merge tag was case sensitive.
- Fixed issue where modal header color setting was not saved correctly.
- Fixed issue where Nested Form fields on different forms loaded on the same page did not initialize correctly.
- Fixed JS error when attempting to repopulate entries between AJAX-enabled page submissions.
- Fixed issue where field ID was not respected when fetching submitted nested entries.
- Fixed issue where :sum merge tag was not working correctly on AJAX-enabled forms with multiple Nested Form fields.
- Fixed notice generated by attempting to access $form as an object.
- Fixed security issue where arbitrary entry data could be viewed in a Nested Form field.
- Fixed up {Parent} merge tag to work with paginated child forms
- Fixed issue where saving Nested Form field without fields in the Form Editor would cause a PHP notice/error
- Fixed issue where multiple "other" choices were added when including multiple instances of the same child form.
- Fixed issue where the Multi-file Upload field's delete icon returned a 404 when displayed in a nested form.
- Fixed issue where adding an image to a Multi-field Upload field on a nested form did not correctly save the image when editing a child entry.
- Fixed issue where {Parent} did not reevaluate conditional logic when value changed.
- Fixed issue where AJAX-enabled forms *still* broke Nested-Forms-based calculations.
- Fixed issues with calculations and saving entries when AJAX was enabled on parent form.
- Fixed issue where parent merge tag replacement broke routing in notifications.

## 1.0-beta-6.24

- Fixed issue where close button does not appear when Bootstrap is loaded *after* jQuery UI.
- Fixed notice when form mapped in Nested Form field no longer exists.

## 1.0-beta-6.23

- Fixed issue where child entries were not editable and failed to persist when navigating between pages after being populated via Save & Continue.

## 1.0-beta-6.22

- Updated Nested Entries Detail template to no longer output "View Entry" or "View Expanded List" when in print view.
- Fixed use of deprecated GFFormsModel::get_incomplete_submission_values() method.
- Fixed issue where Print Entry view displayed "&nbsp".

## 1.0-beta-6.21

- Updated parent entry processing to run child form through gform_pre_process filter to improve compatibility with 3rd party add-ons.

## 1.0-beta-6.20

- Fixed issue where perk name was not output on Logging page.

## 1.0-beta-6.19

- Added logging around daily cron that cleans up orphaned entries.

## 1.0-beta-6.18

- Fixed issue where {Parent} merge tag was case sensitive.

## 1.0-beta-6.17

- Fixed issue where modal header color setting was not saved correctly.

## 1.0-beta-6.16

- Added support for automatically populating fields from session cookie when refreshing the form markup.

## 1.0-beta-6.15

- Fixed issue where Nested Form fields on different forms loaded on the same page did not initialize correctly.
- Updated "gpnf_append_nested_forms_to_footer" to default to true if "gform_init_scripts_footer" is set to true.
- Updated priority of GP_Nested_Forms::output_nested_forms_markup() to 21 to ensure it is output after jQuery.
- Updated session cookie with COOKIEPATH, COOKIE_DOMAIN, and secure flag.

## 1.0-beta-6.14

- Updated cookies to use COOKIE_DOMAIN constant for consistency with WordPress.

## 1.0-beta-6.13

- Added "gpnf_session_script_data" filter to allow modifying the data used to initialize the session script.

## 1.0-beta-6.12

- Added basic responsive fix to prevent Nested Entries table from spilling outside container on mobile.

## 1.0-beta-6.11

- Fixed JS error when attempting to repopulate entries between AJAX-enabled page submissions.

## 1.0-beta-6.10

- Fixed issue where field ID was not respected when fetching submitted nested entries.

## 1.0-beta-6.9

- Fixed issue where :sum merge tag was not working correctly on AJAX-enabled forms with multiple Nested Form fields.
- Fixed notice generated by attempting to access $form as an object.

## 1.0-beta-6.8

- Fixed security issue where arbitrary entry data could be viewed in a Nested Form field.
- Added support for gpnf_bypass_entry_permissions filter to allow advanced users to determine if entry permissions should be bypassed when populating entries into a Nested Form field.
- Updated gpnf_template_args docblock with addition of the "actions" property and removal of the "related_entries_link" property.

## 1.0-beta-6.7

- Fixed up {Parent:__} merge tag to work with paginated child forms
- Fixed issue where saving Nested Form field without fields in the Form Editor would cause a PHP notice/error

## 1.0-beta-6.6

- Fixed issue where multiple "other" choices were added when including multiple instances of the same child form.

## 1.0-beta-6.5

- Fixed issue where the Multi-file Upload field's delete icon returned a 404 when displayed in a nested form.
- Fixed issue where adding an image to a Multi-field Upload field on a nested form did not correctly save the image when editing a child entry.

## 1.0-beta-6.4

- Fixed issue where {Parent:1} did not reevaluate conditional logic when value changed.

## 1.0-beta-6.3

- Fixed issue where AJAX-enabled forms *still* broke Nested-Forms-based calculations.

## 1.0-beta-6.2

- Fixed issues with calculations and saving entries when AJAX was enabled on parent form.
- Fixed issue where parent merge tag replacement broke routing in notifications.

## 1.0-beta-6.1

- Fixed issue where parent merge tag replacement broke routing in notifications.

## 1.0-beta-6

- Added support for {Parent} merge tag which allows populating child form inputs with data from the parent form.

## 1.0-beta-5.17

- Updated Zapier integration so child entry feeds are always processed _after_ parent form feed.
- Updated field container selector to target only by id rather than element + id.

## 1.0-beta-5.16

- Fixed issue where child entries were not editable/deletable when making https AJAX request from http URL.

## 1.0-beta-5.15

- Fixed issue where entry total was not updated when editing via Nested Form field.

## 1.0-beta-5.14

- Fixed security issues.

## 1.0-beta-5.13

- Updated feed processing to only filter feeds when an entry has been created; allows feed validation to still process.

## 1.0-beta-5.12

- Updated session init script to be output very late in the footer to allow footer-enqueued jQuery to load first.

## 1.0-beta-5.11

- Updated name of Gravity Forms filter included in 1.0-beta-5.10 to its updated version.

## 1.0-beta-5.10

- Fixed issue where updating an entry would fail to save some values depending on how conditional logic was configured.

## 1.0-beta-5.9

- Fixed issue where dynamically populated and Save & Continue child entries were incorrectly prevented from loading in a Nested Form field.

## 1.0-beta-5.8

- Added support for script minification.
    - Fixed issue where false entry values were output as a string (i.e. "false") rather than empty in Nested Form field.

## 1.0-beta-5.7

- Fixed issue with List field values containing commas being incorrectly split up when populating child form for editing.

## 1.0-beta-5.6

- Added security enhancement to better protect viewing/editing/deleting child entries on the frontend.

## 1.0-beta-5.5

- Fixed additional issues related to missing modal close button caused by other themes/plugins.
- Added 'gpnf_jquery_ui_dependencies' filter to allow 3rd parties to add their own dependencies for jQuery UI.

## 1.0-beta-5.4

- Fixed issue introduced by modal close button fix in 1.0-beta-5.2.

## 1.0-beta-5.3

- Added support for label placement setting on Nested Form field.

## 1.0-beta-5.2

- Fixed issue where modal close button is missing when Bootstrap is loaded *after* jQuery UI.
- Added support for displaying additional entry actions in the Nested Form Detail view.
- Updated notification processing to only surpress notifications of the "form_submission" event.

## 1.0-beta-5

- Fixed major issue where unorphaned child entries were deleted during orphaned entry cleanup.

## 1.0-beta-4.26

- Fixed JS error that appeared when parent form contained Nested Form field with an administrative visibility.

## 1.0-beta-4.25

- Updated integration with All Fields Template (v0.9.2) to better support filtering child form fields within merge tags.

## 1.0-beta-4.24

- Updated get_entry_display_values() to support returning all entry display values (rather than only the selected display fields).

## 1.0-beta-4.23

- Fixed issue where No Duplicates validation was enforced when editing a child entry.

## 1.0-beta-4.22

- Fixed issue where when refreshing the Nested Form markup, GF was ignoring the isSelected property of choices in favor of determining the selected status based on non-existant post values.

## 1.0-beta-4.21

- Fixed fatal error when attempting to delete a parent entry.

## 1.0-beta-4.20

- Fixed issue where Nested Form fields were not correctly populated via User Registration Update feeds.

## 1.0-beta-4.19

- Fixed issue with :sum calc modifier where one or more child entries did not contain a value for the target field ID.

## 1.0-beta-4.18

- Added support for GF Zapier.

## 1.0-beta-4.17

- Updated to use minimum_requirements() method for declaring minimum requirements.

## 1.0-beta-4.16

- Added 'gpnf_entry_url' filter to allow filtering the entry URL when linking to child entries.
- Fixed issue with :sum calculation modifier when target field ID was not present in child entry.

## 1.0-beta-4.15

- Added support for integrating with GF Preview Submission.

## 1.0-beta-4.14

- Fixed issues with translation support.

## 1.0-beta-4.13

- Fixed issue where :total, :count, and :sum calculation modifiers included child entries from ALL Nested Form fields.

## 1.0-beta-4.12

- Added integration with GW All Field Template to allow filtering which fields display from the nested form when displaying the Nested Form field value.
- Added support for displaying a simple list of nested entry values when filtered for a single field.
- Added support for 'nested-entries-simple-list' and 'nested-entry' templates.

## 1.0-beta-4.11

- Fixed issue where Feed Processing field setting did not have a default value so feeds were not sent in either context (child/parent).

## 1.0-beta-4.10

    - Changed child form notifications to not be sent until the parent form is submitted.
    - Added 'gpnf_should_send_notification' filter.
    - Added support for populating child entries in request data for GF Webhooks Add-on.

## 1.0-beta-4.9

    - Nested form is now refreshed after adding or deleting entries.

## 1.0-beta-4.8

- Fixed JS error caused by session initialization when parent form was AJAX-enabled.

## 1.0-beta-4.7

- Refactored event reprioritization; new method lovingly dubbed, "The Event Handler".

## 1.0-beta-4.6

- Added support for displaying labels instead of values for choice-based fields (preserving the ability to use values in calculations).
- Fixed issue where ":sum" calculations were not calculated correctly on submission.
- Fixed issue where some 3rd party add-ons caused nested form markup to be output multiple times.

## 1.0-beta-4.5

- Fixed issue where only the first Nested Form field on a page had markup; template was set to require once.

## 1.0-beta-4.4

- Fixed issue where View Entry links displayed outside admin resulted in 404s.

## 1.0-beta-4.3

- Updated minimum required version of Gravity Forms to 2.3-beta-1.
- Fixed issue where Nested Form JS data was not always available depending on how 3rd party scripts bound to the gform_post_render JS event.
- Fixed issue where repositioning modal when the modal height exceeded the window height would jump up to the modal header.

## 1.0-beta-4.2

- Updated field to not show up in conditional logic for other fields.

## 1.0-beta-4.1

- Rewrote the GP_Template class.

## 1.0.beta3.12

- Updated modal responsiveness.

## 1.0.beta3.11

    - Updated modal styles to be enqueued (rather than hardcoded)

## 1.0.beta3.9

    - Fixed issue where child entries were not populated when resuming a saved entry (via GF's Save & Continue feature)

## 1.0.beta3.8

    - Updated modal size to dynamically adjust to be 40 pixels smaller than the document size; primarily benefits mobile usage

## 1.0.beta3.7

    - Fixed issue where if multiple nested form fields were using the same child form, the first field would be updated with entries submitted from any other nested form field mapped to the same child form.

## 1.0.beta3.6

    - Fixed issue where Nested Form field's "Add Entry" button was being triggered when pressing enter within another field

## 1.0.beta3.5

    - Added JS hook for modify the arguments used to initailize the nested form modal: gpnf_modal_args
    - Added PHP hook for modifying the display value of child entry values in the parent form: gpnf_display_value
    - Miscellaneous cleanup items.

## 1.0.beta3.4

    - Fixed issue where child forms with conditional logic did not display when editing a child entry

## 1.0.beta3.3

    - Added support for repop of List fields when editing a child entry

## 1.0.beta3.2

    - Fixed JS error on confirmation page for AJAX-enabled forms; caused by KO bindings being applied twice

## 1.0.beta3.1

    - Fixed issue where non-logged-in users could not edit their nested entries
    - Fixed issue where multi-input fields were not repopulated for editing

## 1.0.beta3.0

    - Added support for parent forms with AJAX-enabled
    - Added translation support
    - Fixed notices generated when no nested fields have been selected via the field settings

## 1.0.beta2.3

    - Fixed issue where navigating to the previous page in a multi-page nested form would break the nested form submission flow (and entry was not captured in parent form)

## 1.0.beta2.2

    - Fixed issue with usage of jQuery.clone(); replaced with jQuery.extend().

## 1.0.beta2.1

    - Fix for IE8 recursive loop issue

## 1.0.beta2.0

- Updated jQuery UI stylesheet URL to be protocol-less to better work with secure sites
- Fixed several notices
- Fixed several coding standards violations

## 1.0beta.1.3

    - Updated frontend to support HTML values rather than simply TEXT (allows currency symbols to be shown)
    - Updated get_entry_display_values() method to get the display value
    - Fixed error on entry detail edit where input HTML function was not called correctly resulting in a "Method GFField::input_html() must be over-ridden in a sub-class." error.
    - Removed documentation link to Terms of Service perk (will replace once real documentation is written)

## 1.0.beta1.2

    - Fixed issue where "Total" field did not update when nested entry was edited

## 1.0.beta1.1

    - Added support for displaying all child entry values in {all_fields} merge tag (previously showed comma-delimited list of child entry IDs)

## 1.0.alpha3.3

    - Fixed issue where gformInitDatepicker was not found and generated error
